Runtime

## org.eclipse.gmf.runtime.notation
Interface DoubleListValueStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  DoubleListValueStyleImpl

    public interface DoubleListValueStyle

extends NamedStyle

A representation of the model object 'Double List Value Style'.

The following features are supported:

- `Double List Value`

See Also:
  `NotationPackage.getDoubleListValueStyle()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList` `getDoubleListValue()` Returns the value of the 'Double List Value' attribute list.

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDoubleListValue

    org.eclipse.emf.common.util.EList getDoubleListValue()

  Returns the value of the 'Double List Value' attribute list. The list contents are of type `Double`.

  If the meaning of the 'Double List Value' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Double List Value' attribute list.
  See Also:
    `NotationPackage.getDoubleListValueStyle_DoubleListValue()`
  ** Generated **
  Model:
    type="java.lang.Double" unique="false"

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.